# The Clipper C++ crystallographic library already uses the name "clipper2".
# The developer is fine with the choosen name.

%define major     1
%define libname   %mklibname clipper2_ %{major}
%define libname_z %mklibname clipper2z %{major}
%define devname   %mklibname clipper2 -d

Name:           polyclipping2
Version:        1.5.4
Release:        %mkrel 2
Summary:        Polygon Clipping and Offsetting Library v2
Group:          System/Libraries
License:        Boost
URL:            https://angusj.com/clipper2/Docs/Overview.htm
Source0:        https://github.com/AngusJohnson/Clipper2/releases/download/Clipper2_%{version}/Clipper2_%{version}.zip
Patch0:         clipper2-no-static.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(gtest)

%description
This library primarily performs the boolean clipping operations -
intersection, union, difference & xor - on 2D polygons. It also performs
polygon offsetting. The library handles complex (self-intersecting) polygons,
polygons with holes and polygons with overlapping co-linear edges.
Input polygons for clipping can use EvenOdd, NonZero, Positive and Negative
filling modes. The clipping code is based on the Vatti clipping algorithm,
and outperforms other clipping libraries.


%package -n     %{libname}
Summary:        Polygon Clipping and Offsetting Library v2
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This library primarily performs the boolean clipping operations -
intersection, union, difference & xor - on 2D polygons. It also performs
polygon offsetting. The library handles complex (self-intersecting) polygons,
polygons with holes and polygons with overlapping co-linear edges.
Input polygons for clipping can use EvenOdd, NonZero, Positive and Negative
filling modes. The clipping code is based on the Vatti clipping algorithm,
and outperforms other clipping libraries.


%package -n     %{libname_z}
Summary:        Polygon Clipping and Offsetting Library v2
Group:          System/Libraries

%description -n %{libname_z}
This library primarily performs the boolean clipping operations -
intersection, union, difference & xor - on 2D polygons. It also performs
polygon offsetting. The library handles complex (self-intersecting) polygons,
polygons with holes and polygons with overlapping co-linear edges.
Input polygons for clipping can use EvenOdd, NonZero, Positive and Negative
filling modes. The clipping code is based on the Vatti clipping algorithm,
and outperforms other clipping libraries.


%package -n     %{devname}
Summary:        Development files for clipper2
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_z} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       clipper2-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use clipper2.


%prep
%autosetup -c -p1

rm -rf CPP/Tests/googletest

%build
%global _vpath_srcdir CPP

%cmake -DUSE_EXTERNAL_GTEST:BOOL=ON
%cmake_build

%install
%cmake_install

%check
pushd %{_vpath_builddir}
./ClipperTests
./ClipperTestsZ
popd

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libClipper2.so.%{major}{,.*}

%files -n %{libname_z}
%license LICENSE
%{_libdir}/libClipper2Z.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/clipper2/
%{_libdir}/libClipper2.so
%{_libdir}/libClipper2Z.so
%{_libdir}/pkgconfig/Clipper2.pc
%{_libdir}/pkgconfig/Clipper2Z.pc
%{_libdir}/cmake/clipper2/


%changelog
* Sat Jul 26 2025 daviddavid <daviddavid> 1.5.4-2.mga10
+ Revision: 2259604
- disable properly static libs

* Sat Jul 26 2025 daviddavid <daviddavid> 1.5.4-1.mga10
+ Revision: 2259558
- initial package polyclipping2

